export declare type Role = string;
export interface UserAuthorization {
    token: string;
    username: string;
    realname: string;
    roles: Array<Role>;
}
export declare enum AuthState {
    NONE = "NONE",
    AUTHENTICATED = "AUTHENTICATED",
    UNAUTHENTICATED = "UNAUTHENTICATED",
    ERROR = "ERROR"
}
export interface AuthInfo {
    status: AuthState;
    userAuthorization: UserAuthorization | null;
}
export default class Auth {
    url: string;
    constructor(url: string);
    checkAuth(): Promise<AuthInfo>;
}
